<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.yidian.shenghuoquan.buserorder.viewmodel.VoucherViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_F7F7F7"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <com.yidian.bcommon.widget.CommonTopBarView
            android:id="@+id/common_top_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:CommonTopBarView_bg_color="@color/white"
            app:CommonTopBarView_horizontal_padding="@dimen/dp10"
            app:CommonTopBarView_statusBar_color="@color/white"
            app:CommonTopBarView_title_text="我的代金券" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_voucher_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp16"
            android:layout_marginTop="@dimen/dp9"
            android:layout_marginEnd="@dimen/dp16"
            android:layout_marginBottom="@dimen/dp9"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:itemCount="3"
            tools:listitem="@layout/border_voucher_item" />

        <com.yidian.bcommon.widget.CommonEmptyPageView
            android:id="@+id/empty_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            app:CommonEmptyPageView_empty_tips_text="这里什么都没有"
            app:CommonEmptyPageView_place_holder_img="@drawable/bcommon_icon_nothing_place_holder" />

    </LinearLayout>
</layout>